Time tracking
Archive a time category
Archives (soft-deletes) a time category. Existing entries referencing it are preserved.
DELETE
/
{team_id}
/
time
/
categories
/
{time_category_id}
Archive a time category
curl --request DELETE \
--url https://api.superthread.com/v1/{team_id}/time/categories/{time_category_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.superthread.com/v1/{team_id}/time/categories/{time_category_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.superthread.com/v1/{team_id}/time/categories/{time_category_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Time Category ID.
Response
Time category archived
⌘I
Archive a time category
